/**
 * 
 */
package kr.ac.kaist.swrc.jhannanum.demo;

import kr.ac.kaist.swrc.jhannanum.hannanum.HanNanum;
import kr.ac.kaist.swrc.jhannanum.hannanum.WorkflowFactory;

/**
 * @author Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, Kaist
 *
 */
public class PredefinedWorkflow {

	public static void main(String[] args) {
		HanNanum han = new HanNanum();
    	
    	try {
    		/* Setting up the work flow */
    		WorkflowFactory.setDefinedWorkflow(han, WorkflowFactory.WORKFLOW_HMM_TAGGER);
			
			/* Activating the work flow */
			han.activateWorkflow();
			
			/* Analysis using the work flow */
			String test = null;

			test = "프로젝트 전체 회의\n"
				 + "회의 일정은 다음과 같습니다.\n";
			System.out.println(han.analyze(test));
			
			test = "日時: 2010년 7월 30일 오후 1시\n"
				 + "場所: Coex Conference Room\n";
			System.out.println(han.analyze(test));
			
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(0);
		}
		
		/* Shutdown the work flow */
		han.close();  	
	}
}
